
//
// Przykładowy kod z rozdziału 4.6.3 "Przykład z użyciem tekstu" książki
// "Programowanie. Teoria i praktyka z wykorzystaniem C++" Bjarne'a Stroustrupa.
//

#include "std_lib_facilities.h"

//------------------------------------------------------------------------------

// Prosty słownik: lista posortowanych słów.
int main()
{
    vector<string> words; 
    string temp;
    while (cin>>temp)                // Wczytywanie słów oddzielanych białymi znakami.
        words.push_back(temp);       // Wstawianie danych do wektora.

    cout << "Liczba słów: " << words.size() << endl;

    sort(words.begin(),words.end()); // Sortowanie „od początku do końca”.

    for (int i = 0; i< words.size(); ++i) 
        if (i==0 || words[i-1]!=words[i]) // Czy to jest nowe słowo?
            cout << words[i] << "\n";
}

//------------------------------------------------------------------------------
